﻿/*
*
*  Logické datové typy
*
*/
drop table if exists tab_log;

-- Vytvori se tabulka
create table tab_log
(id serial primary key,
 hodnota boolean default false,
 nazev varchar(60));

-- Vlozi se zaznamy
 insert into tab_log
 (hodnota,nazev)
 values
 (true,'platí'),
 (false,'neplatí')
 returning *;

/*
-- Odpoved
 id | hodnota |  nazev
----+---------+---------
  1 | t       | platí
  2 | f       | neplatí
(2 řádky)
*/

-- Logický výraz je i výraz který vrací logickou hodnotu

insert into tab_log
 (hodnota,nazev)
values
(1=1,'1=1 -> true'),
(length('dnes') > 0,'length(''dnes'') > 0 -> true')
returning *; 

-- Logikcé výrazy jsou i logické operace
insert into tab_log
 (hodnota,nazev)
values
(true and false,'true and false'),
(true or false,'true or false'),
( not true,'not true')
returning *;