﻿/*
*
*   Příklad vytvoření tabulky
*
*/

-- Vytvoření tabulky
create table obchod
(id serial primary key,
 nazev text not null unique,
 hodnoceni smallint not null check (hodnoceni > 0 and hodnoceni < 5),
 datum_vytvoreni date not null default now());

-- Vložení dat
 insert into obchod
 (nazev,hodnoceni)
 values
 ('Billa',1),
 ('Albert',2),
 ('Globus',1),
 ('Penny',4),
 ('Lidl',3);

-- Výběr dat
select * from obchod;


-- Aktualize dat
 update obchod
   set hodnoceni = 2
   where nazev = 'Globus'
returning *;

-- Rušení dat
delete from obchod
where hodnoceni > 2
returning *;

-- Zrušení veškerých dat
truncate obchod;

-- Zrušení tabulky
-- drop table obchod;
